> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Open Interest

> Retrieve current open interest information for all trading instruments or a specific symbol.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/market/open-interest
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/market/open-interest:
    get:
      tags:
        - Market
      summary: Open Interest
      description: >-
        Retrieve current open interest information for all trading instruments
        or a specific symbol.
      operationId: get_v1-market-open-interest-fbf067e6e83bc96c19581202a129b9e3
      parameters:
        - name: instType
          in: query
          required: true
          schema:
            type: string
        - name: symbol
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_GetOpenInterestResponse'
      deprecated: false
components:
  schemas:
    ApiResponse_for_GetOpenInterestResponse:
      title: ApiResponse_for_GetOpenInterestResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetOpenInterestResponse'
        error:
          type: boolean
    GetOpenInterestResponse:
      type: object
      required:
        - openInterest
        - timestamp
      properties:
        openInterest:
          type: integer
          format: uint64
          minimum: 0
        timestamp:
          type: integer
          format: int64
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````